# ChartLineStyle Class Reference

List of all members.

## Public Member Functions

| setThickness ($size)
| getThickness ()
| setLineSegmentLength ($length)
| getLineSegmentLength ()
| setBlankSegmentLength ($length)
| getBlankSegmentLength ()
| toString ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $thickness = 1
| $lineSegmentLength = 1
| $blankSegmentLength = 0

## Detailed Description

Definition at line 15 of file ChartLineStyle.class.php.

## Member Function Documentation

static ChartLineStyle::create | ( |  | ) | `[static]`

Returns:
  ChartLineStyle

Definition at line 24 of file ChartLineStyle.class.php.

ChartLineStyle::getBlankSegmentLength | ( |  | ) |

Definition at line 69 of file ChartLineStyle.class.php.

ChartLineStyle::getLineSegmentLength | ( |  | ) |

Definition at line 54 of file ChartLineStyle.class.php.

ChartLineStyle::getThickness | ( |  | ) |

Definition at line 39 of file ChartLineStyle.class.php.

ChartLineStyle::setBlankSegmentLength | ( | $ | length | ) |

Returns:
  ChartLineStyle

Definition at line 62 of file ChartLineStyle.class.php.

ChartLineStyle::setLineSegmentLength | ( | $ | length | ) |

Returns:
  ChartLineStyle

Definition at line 47 of file ChartLineStyle.class.php.

ChartLineStyle::setThickness | ( | $ | size | ) |

Returns:
  ChartLineStyle

Definition at line 32 of file ChartLineStyle.class.php.

ChartLineStyle::toString | ( |  | ) |

Definition at line 74 of file ChartLineStyle.class.php.

## Member Data Documentation

ChartLineStyle::$blankSegmentLength = 0`[private]`

Definition at line 19 of file ChartLineStyle.class.php.

ChartLineStyle::$lineSegmentLength = 1`[private]`

Definition at line 18 of file ChartLineStyle.class.php.

ChartLineStyle::$thickness = 1`[private]`

Definition at line 17 of file ChartLineStyle.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/ChartLineStyle.class.php